Package wx :: Module aui :: Class AuiDockArt

[frames | no frames]

## Type AuiDockArt

    object --+
             |
            AuiDockArt

Known Subclasses:
  `AuiDefaultDockArt`

Proxy of C++ AuiDockArt class

Method Summary
| `__init__(self)`
| `__del__(self)`
| `DrawBackground(self, dc, window, orientation, rect)`
| `DrawBorder(self, dc, window, rect, pane)`
| `DrawCaption(self, dc, window, text, rect, pane)`
| `DrawGripper(self, dc, window, rect, pane)`
| `DrawPaneButton(self, dc, window, button, button_state, rect, pane)`
| `DrawSash(self, dc, window, orientation, rect)`
Colour | `GetColor(self, id)`
Colour | `GetColour(self, id)`
Font | `GetFont(self, id)`
int | `GetMetric(self, id)`
| `SetColor(self, id, color)`
| `SetColour(self, id, colour)`
| `SetFont(self, id, font)`
| `SetMetric(self, id, new_val)`

Property Summary
| `thisown`: The membership flag

Property Details

### thisown

The membership flag

  Get Method:
    unknown--1216192244(...)
  Set Method:
    unknown--1216192188(...)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:19 2007 | http://epydoc.sf.net